%define build_plf 0
%{?_with_plf: %{expand: %%define build_plf 1}}

%define name	ices
%define version	0.2.3
%define rel 4

%if %build_plf
%define release %{rel}plf
%else
%define release %{rel}mdk
%endif

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Source streaming for Icecast
Group:		System/Servers
License:	GPL
URL:		http://www.icecast.org
Source:		http://www.icecast.org/releases/%{name}-%{version}.tar.bz2
BuildRequires: perl-devel
BuildRequires: libxml2-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot
%if %build_plf
BuildRequires: libvorbis-devel
BuildRequires: libogg-devel
BuildRequires: libmp3lame-devel
BuildRequires: libshout-devel
Obsoletes: ices-lame
Provides: ices-lame
%endif

%description
Ices is a part of Icecast serveur. It submit mp3's files from a playlist.  

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
 perl -pi -e 's/\#include \<parser.h\>/\#include \<libxml\/parser.h\>/' src/ices_config.c
 perl -pi -e 's/\#include \<xmlmemory.h\>/\#include \<libxml\/xmlmemory.h\>/' src/ices_config.c

%build
%if %build_plf
OPTIONS="--with-lame --with-vorbis --with-libshout"
%else
OPTIONS="--without-lame --without-vorbis"
%endif
%configure --enable-fsstd --enable-libwrap --without-readline \
 --with-moddir=%{_sysconfdir}/%{name}-modules $OPTIONS
%make

%install
make DESTDIR=$RPM_BUILD_ROOT install
mv $RPM_BUILD_ROOT%{_sysconfdir}/ices.conf.dist $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.conf
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/ices-modules/

rm -fr $RPM_BUILD_ROOT/usr/doc
# We don't want libshout here !
rm -fr $RPM_BUILD_ROOT/%_includedir/shout
rm -f $RPM_BUILD_ROOT/%_libdir/libshout*


%files
%defattr(-,root,root)
%doc AUTHORS BUGS CHANGES COPYING FAQ README TESTED
%doc doc/%{name}manual.html
%{_bindir}/%{name}
%_mandir/man1/ices.1.bz2
%{_sysconfdir}/%{name}-modules/*
%config(noreplace) %{_sysconfdir}/%{name}.conf

%clean 
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Jan 03 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.2.3-4mdk
- rebuild
- merge plf options
- build with libshout (plf)

* Wed Aug 07 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.2.3-3mdk
- rebuild against perl-thread

* Mon Jul 22 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.2.3-2mdk
- rebuild for new perl

* Fri Jun 28 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.2.3-1mdk
- 0.2.3

* Fri Jun 14 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.2.2-3mdk
- fix libxml2 path

* Wed Mar 13 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.2.2-2mdk
- contributed by Olivier Thauvin <thauvin@aerov.jussieu.fr>
- rpmlint fixes

* Fri Dec 14 2001 Olivier Thauvin 0.2.2-1mdkot
- First mdk release.
